CVE-2020-26970

NameCVE-2020-26970
DescriptionWhen reading SMTP server status codes, Thunderbird writes an integer value to a position on the stack that is intended to contain just one byte. Depending on processor architecture and stack layout, this leads to stack corruption that may be exploitable. This vulnerability affects Thunderbird < 78.5.1.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2479-1, DSA-4802-1
NVD severityhigh

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
thunderbird (PTS)stretch1:68.10.0-1~deb9u1vulnerable
stretch (security)1:78.14.0-1~deb9u1fixed
buster, buster (security)1:78.14.0-1~deb10u1fixed
bullseye (security), bullseye1:78.14.0-1~deb11u1fixed
bookworm1:78.14.0-1fixed
sid1:91.2.1-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
thunderbirdsourcestretch1:78.5.1-1~deb9u1DLA-2479-1
thunderbirdsourcebuster1:78.5.1-1~deb10u1DSA-4802-1
thunderbirdsource(unstable)1:78.5.1-1

Notes

https://www.mozilla.org/en-US/security/advisories/mfsa2020-53/#CVE-2020-26970

Search for package or bug name: Reporting problems